import { addContainerMetadata as _addContainerMetadata } from './addContainerMetadata';
import { bundleMiniApps as _bundleMiniApps, bundleMiniAppsFromComposite as _bundleMiniAppsFromComposite } from './bundleMiniApps';
import { copyRnpmAssets as _copyRnpmAssets } from './copyRnpmAssets';
import { generatePluginsMustacheViews as _generatePluginsMustacheViews } from './generatePluginsMustacheViews';
import { getContainerPlatform as _getContainerPlatform } from './getContainerPlatform';
import { populateApiImplMustacheView as _populateApiImplMustacheView } from './populateApiImplMustacheView';
import { sortDependenciesByName as _sortDependenciesByName } from './sortDependenciesByName';
import { generateContainer as _generateContainer } from './generateContainer';
import { getContainerMetadata as _getContainerMetadata } from './getContainerMetadata';
import { getContainerMetadataPath as _getContainerMetadataPath } from './getContainerMetadataPath';
export declare const addContainerMetadata: typeof _addContainerMetadata;
export declare const bundleMiniApps: typeof _bundleMiniApps;
export declare const bundleMiniAppsFromComposite: typeof _bundleMiniAppsFromComposite;
export declare const copyRnpmAssets: typeof _copyRnpmAssets;
export declare const generatePluginsMustacheViews: typeof _generatePluginsMustacheViews;
export declare const getContainerPlatform: typeof _getContainerPlatform;
export declare const populateApiImplMustacheView: typeof _populateApiImplMustacheView;
export declare const sortDependenciesByName: typeof _sortDependenciesByName;
export declare const generateContainer: typeof _generateContainer;
export declare const getContainerMetadata: typeof _getContainerMetadata;
export declare const getContainerMetadataPath: typeof _getContainerMetadataPath;
declare const _default: {
    addContainerMetadata: typeof _addContainerMetadata;
    bundleMiniApps: typeof _bundleMiniApps;
    bundleMiniAppsFromComposite: typeof _bundleMiniAppsFromComposite;
    copyRnpmAssets: typeof _copyRnpmAssets;
    generateContainer: typeof _generateContainer;
    generatePluginsMustacheViews: typeof _generatePluginsMustacheViews;
    getContainerMetadata: typeof _getContainerMetadata;
    getContainerMetadataPath: typeof _getContainerMetadataPath;
    getContainerPlatform: typeof _getContainerPlatform;
    populateApiImplMustacheView: typeof _populateApiImplMustacheView;
    sortDependenciesByName: typeof _sortDependenciesByName;
};
export default _default;
export { ContainerGenerator, ContainerGeneratorConfig, ContainerGenResult, } from './types';
